![](logo/logo1.png)

Hypper is a data-mining Python library for binary classification. It uses hypergraph-based methods to explore datasets for the purpose of undersampling, feature selection and binary classification.

Hypper provides an easy-to-use interface familiar to well-recognized Scikit-Learn API. 

The primary goal of this library is to provide a tool for handling datasets consisting of mainly categorical features. Novel hypergraph-based methods proposed in the Hypper library were benchmarked against the alternative solutions and achieved satisfactory results. More details can be found in scientific papers presented in the section below.

## Installation
Minimal installation
```
pip install hypper
```
Installation with documentation
```
pip install -e .['documentation']
```
Installation with tests
```
pip install -e .['testing']
```
Install everything
```
pip install -e .['all']
```
## Usage
#### Undersampling
#### Feature Selection

#### Tutorials:
* Undersampling
* Feature Selection
* Classification
## Testing
```
pytest
```
## Important links
* Source code - [https://github.com/sleter/hypper](https://github.com/sleter/hypper)
* Documentation - [https://hypper-team.github.io/hypper.html](https://hypper-team.github.io/hypper.html)

### Citation

### Related articles
* 